# Make dynamic linked lib liblist.dl for demo lib in Windows

target: liblist.dl

liblist.dl: list_cpp.obj list_chdl.obj
	ch dllink liblist.dl cplusplus list_cpp.obj list_chdl.obj

list_cpp.obj: list_cpp.cpp
	ch dlcomp liblist.dl cplusplus list_cpp.cpp

list_chdl.obj: list_chdl.cpp
	ch dlcomp liblist.dl cplusplus list_chdl.cpp

clean:
	rm -f *.obj a.out liblist.dl liblist.lib liblist.exp

